Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232124 - gfs2_fsck will create multiple lost+found directories
Summary: gfs2_fsck will create multiple lost+found directories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Robert Peterson
QA Contact: Dean Jansa
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 21:55 UTC by Josef Bacik
Modified: 2010-01-12 03:37 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0579
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 18:04:42 UTC


Attachments (Terms of Use)
Patch to fix the problem (deleted)
2007-03-15 22:51 UTC, Robert Peterson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0579 normal SHIPPED_LIVE gfs2-utils bug fix update 2007-11-08 14:13:05 UTC

Description Josef Bacik 2007-03-13 21:55:47 UTC
in trying to track down bz 232010 i've found that its possible to get multiple 
lost+found directories when running gfs_fsck.  So first we get the first 
assertion, i reboot everything and run a gfs2_fsck on the filesystem.  This 
creates a lost+found, b/c i was deleting crap.  So I go in and try to delete 
the lost+found directory, and I will then panic (bz 232107).  I reboot again 
and run gfs2_fsck on the filesystem again, and then remount the filesystem.  
Then I will have a second lost+found directory.  I am in the middle of 
attempting to reproduce this again to make sure it wasn't a fluke and this is 
in fact how you reproduce.  I will let you tomorrow when I get back to testing 
this.

Comment 1 Robert Peterson 2007-03-15 22:51:03 UTC
Created attachment 150180 [details]
Patch to fix the problem

Patch tested on trin-10 by using gfs2_edit to break the directory
links to force things into lost+found.	This problem doesn't exist
in GFS1, so it doesn't have to be back-ported.

Comment 2 Robert Peterson 2007-03-26 19:34:19 UTC
Fix committed to cvs in HEAD and RHEL5 branches.
Changing status to modified.


Comment 5 errata-xmlrpc 2007-11-07 18:04:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0579.html



Note You need to log in before you can comment on or make changes to this bug.